<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE sect1 PUBLIC "-//OASIS//DTD DocBook XML V4.5//EN"
   "http://www.oasis-open.org/docbook/xml/4.5/docbookx.dtd" [
  <!ENTITY % general-entities SYSTEM "../../general.ent">
  %general-entities;

<!ENTITY xdg-desktop-portal-lxqt-download-http "https://github.com/lxqt/xdg-desktop-portal-lxqt/releases/download/&xdg-desktop-portal-lxqt-version;/xdg-desktop-portal-lxqt-&xdg-desktop-portal-lxqt-version;.tar.xz">
  <!ENTITY xdg-desktop-portal-lxqt-download-ftp  " ">
  <!ENTITY xdg-desktop-portal-lxqt-md5sum        "2651833d11d7de9fd44e4870065dbf67">
  <!ENTITY xdg-desktop-portal-lxqt-size          "20 KB">
  <!ENTITY xdg-desktop-portal-lxqt-buildsize     "2.1 MB">
  <!ENTITY xdg-desktop-portal-lxqt-time          "less than 0.1 SBU">
]>

<sect1 id="xdg-desktop-portal-lxqt" xreflabel="xdg-desktop-portal-lxqt-&xdg-desktop-portal-lxqt-version;">
  <?dbhtml filename="xdg-desktop-portal-lxqt.html"?>

  <title>xdg-desktop-portal-lxqt-&xdg-desktop-portal-lxqt-version;</title>

  <indexterm zone="xdg-desktop-portal-lxqt">
    <primary sortas="a-xdg-desktop-portal-lxqt">xdg-desktop-portal-lxqt</primary>
  </indexterm>

  <sect2 role="package">
    <title>Introduction to xdg-desktop-portal-lxqt</title>

    <para>
      <application>xdg-desktop-portal-lxqt</application> is a backend for
      <application>xdg-desktop-portal</application>, that is using the Qt
      library.
    </para>

    &lfs122_checked;

    <bridgehead renderas="sect3">Package Information</bridgehead>
    <itemizedlist spacing="compact">
      <listitem>
        <para>
          Download (HTTP): <ulink url="&xdg-desktop-portal-lxqt-download-http;"/>
        </para>
      </listitem>
      <listitem>
        <para>
          Download (FTP): <ulink url="&xdg-desktop-portal-lxqt-download-ftp;"/>
        </para>
      </listitem>
      <listitem>
        <para>
          Download MD5 sum: &xdg-desktop-portal-lxqt-md5sum;
        </para>
      </listitem>
      <listitem>
        <para>
          Download size: &xdg-desktop-portal-lxqt-size;
        </para>
      </listitem>
      <listitem>
        <para>
          Estimated disk space required: &xdg-desktop-portal-lxqt-buildsize;
        </para>
      </listitem>
      <listitem>
        <para>
          Estimated build time: &xdg-desktop-portal-lxqt-time;
        </para>
      </listitem>
    </itemizedlist>

    <bridgehead renderas="sect3">xdg-desktop-portal-lxqt Dependencies</bridgehead>

    <bridgehead renderas="sect4">Required</bridgehead>
    <para role="required">
      <xref linkend="libfm-qt"/>,
      <xref linkend="lxqt-kwindowsystem"/>, and
      <xref role="runtime" linkend="xdg-desktop-portal"/> (at runtime)
    </para>

  </sect2>

  <sect2 role="installation">
    <title>Installation of xdg-desktop-portal-lxqt</title>

    <para>
      Install <application>xdg-desktop-portal-lxqt</application> by running the
      following commands:
    </para>

<screen><userinput>mkdir build &amp;&amp;
cd    build &amp;&amp;

cmake -D CMAKE_INSTALL_PREFIX=/usr \
      -D CMAKE_BUILD_TYPE=Release  \
      ..                           &amp;&amp;
make</userinput></screen>

    <para>
      This package does not come with a test suite.
    </para>

    <para>
      Now, as the &root; user:
    </para>

<screen role="root"><userinput>make install</userinput></screen>

  </sect2>

  <sect2 role="content">
    <title>Contents</title>

    <segmentedlist>
      <segtitle>Installed Program</segtitle>
      <segtitle>Installed Library</segtitle>
      <segtitle>Installed Directory</segtitle>

      <seglistitem>
        <seg>
          xdg-desktop-portal-lxqt (in /usr/libexec)
        </seg>
        <seg>
          None
        </seg>
        <seg>
          /usr/share/xdg-desktop-portal (if no other
          <application>xdg-desktop-portal</application> backend is installed)
        </seg>
      </seglistitem>
    </segmentedlist>
  </sect2>
</sect1>
